require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        nom: {
            type: 'string',
            required: true
        },
        pays: {
            type: 'string',
        },

        ville: {
            type: 'string',
        },
        description: {
            type: 'string',
        },

        codeEcole: {
            type: 'string',
            required: true
        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let ecolesCreate;
        let ecoles = await Ecoles.find({ nom: inputs.nom, codeEcole: inputs.codeEcole }).then(_.first)
        if (ecoles) {

            return exits.notFound({ message: "Cette école existe déja, veuillez la modifier!" })
        } else {
            ecolesCreate = await Ecoles.create(inputs).fetch();
        }
        // All done.
        return exits.success(ecolesCreate);

    }


};
